Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins.javascript
Class JScriptContext

    java.lang.Object
      ru.biosoft.plugins.javascript.JScriptContext

public class JScriptContext
extends java.lang.Object

Pendung:
  whether Context.initStandardObjects is used correctly

Field Summary
`static java.lang.String` | `ARGUMENT_ELEMENT`
`static java.lang.String` | `CLASS_ATTR`
`protected static org.mozilla.javascript.Context` | `context`
`static java.lang.String` | `DOC_ELEMENT`
`protected static org.apache.log4j.Category` | `log`
`static java.lang.String` | `METHOD_ATTR`
`static java.lang.String` | `NAME_ATTR`
`protected static java.util.HashMap` | `primitiveTypes`
`static java.lang.String` | `VARARGS_ATTR`

Constructor Summary
`JScriptContext()`

Method Summary
`static void` | `defineFunction(org.eclipse.core.runtime.IConfigurationElement element, org.mozilla.javascript.Context context, org.mozilla.javascript.ScriptableObject scope, DataCollection functions)`
`static void` | `defineHostObject(org.eclipse.core.runtime.IConfigurationElement element, org.mozilla.javascript.Context context, org.mozilla.javascript.ScriptableObject scope, DataCollection hostObjects)`
`static java.lang.Object` | `evaluateReader(java.io.Reader in, java.lang.String sourceName, int lineno, java.lang.Object securityDomain)`
`static java.lang.String` | `evaluateString(java.lang.String expr)`
`static org.mozilla.javascript.Context` | `getContext()`
`static org.mozilla.javascript.ScriptableObject` | `getScope()`
`static void` | `loadExtensions(JScriptVisiblePlugin help)`
`static void` | `loadFunctionExtensions(java.lang.String extensionPointId, DataCollection functions)` Load all executable extensions for the specified extension point.
`static void` | `loadHostObjectExtensions(java.lang.String extensionPointId, DataCollection hostObjects)`
`static java.lang.Object` | `processFile(java.lang.String filename)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

### context

    protected static org.mozilla.javascript.Context context

### NAME_ATTR

    public static final java.lang.String NAME_ATTR

See Also:
  Constant Field Values

### CLASS_ATTR

    public static final java.lang.String CLASS_ATTR

See Also:
  Constant Field Values

### METHOD_ATTR

    public static final java.lang.String METHOD_ATTR

See Also:
  Constant Field Values

### VARARGS_ATTR

    public static final java.lang.String VARARGS_ATTR

See Also:
  Constant Field Values

### ARGUMENT_ELEMENT

    public static final java.lang.String ARGUMENT_ELEMENT

See Also:
  Constant Field Values

### DOC_ELEMENT

    public static final java.lang.String DOC_ELEMENT

See Also:
  Constant Field Values

### primitiveTypes

    protected static java.util.HashMap primitiveTypes

Constructor Detail

### JScriptContext

    public JScriptContext()

Method Detail

### getContext

    public static org.mozilla.javascript.Context getContext()

### getScope

    public static org.mozilla.javascript.ScriptableObject getScope()

### evaluateString

    public static java.lang.String evaluateString(java.lang.String expr)

### evaluateReader

    public static java.lang.Object evaluateReader(java.io.Reader in,
                                                  java.lang.String sourceName,
                                                  int lineno,
                                                  java.lang.Object securityDomain)

### processFile

    public static java.lang.Object processFile(java.lang.String filename)

### loadExtensions

    public static void loadExtensions(JScriptVisiblePlugin help)

### loadFunctionExtensions

    public static void loadFunctionExtensions(java.lang.String extensionPointId,
                                              DataCollection functions)

  Load all executable extensions for the specified extension point.

### defineFunction

    public static void defineFunction(org.eclipse.core.runtime.IConfigurationElement element,
                                      org.mozilla.javascript.Context context,
                                      org.mozilla.javascript.ScriptableObject scope,
                                      DataCollection functions)

  Pendung:
    error processing

### loadHostObjectExtensions

    public static void loadHostObjectExtensions(java.lang.String extensionPointId,
                                                DataCollection hostObjects)

  Pendung:
    stub

### defineHostObject

    public static void defineHostObject(org.eclipse.core.runtime.IConfigurationElement element,
                                        org.mozilla.javascript.Context context,
                                        org.mozilla.javascript.ScriptableObject scope,
                                        DataCollection hostObjects)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.